#ifndef _GUITEXTFIELD_H_
#define _GUITEXTFIELD_H_

#include <string>


#include "GUIInclude.h"
#include "GUIEvent.h"
#include "GUIElement.h"
#include "GUIHolder.h"

class GUIHolder;
class GUIElement;
class GUITextField : public GUIElement
{
public:
	
	GUITextField(int x, int y, int w, int h, const char *callback, int maxletters, const char *initialtext="");
	
	int maxlen;
	std::string text;

	virtual void render(float dt);
	
	virtual std::string checkKeyboardEvents(GUIKeyboardEvent &me);

	virtual void setHolderPointer(GUIHolder *holder);

protected:
};


#endif§